    /*
     *  call-seq:
     *     index_reader.norms(field) -> string
     *
     *  Expert: Returns a string containing the norm values for a field. The
     *  string length will be equal to the number of documents in the index and it
     *  could have null bytes.
     */
    static VALUE
    frt_ir_norms(VALUE self, VALUE rfield)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        uchar *norms;
        norms = ir_get_norms(ir, frt_field(rfield));
        if (norms) {
            return rb_str_new((char *)norms, ir->max_doc(ir));
        } else {
            return Qnil;
        }
    }